channels.listChannelIdentities
GET
/v1/organization/channels/{channelId}/identities
const url = 'https://example.com/v1/organization/channels/example/identities';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/organization/channels/example/identities \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”channelId
required
string
Responses
Section titled “Responses”Success
Media typeapplication/json
Array<object>
object
channel
required
string
externalUserId
required
string
displayName
required
string
userId
required
string
createdAt
required
number
Example generated
[ { "channel": "example", "externalUserId": "example", "displayName": "example", "userId": "example", "createdAt": 1 }]ChannelInvalid | OrganizationRequired
AuthenticationRequired
Media typeapplication/json
object
_tag
required
string
Example
{ "_tag": "AuthenticationRequired"}ExecutionForbidden | @nmnmcc/ability/Authorizer/Forbidden | MembershipRequired | ForbiddenOrigin
ExecutionNotFound | ChannelNotFound | ChannelIdentityNotFound
ExecutionConflict | ExecutionKeyConflict | @nmnmcc/ability/Authorizer/Pending | ChannelConflict
RateLimited
Media typeapplication/json
object
_tag
required
string
retryAfterSeconds
required
integer
Example
{ "_tag": "RateLimited"}ExecutionUnavailable | ChannelsUnavailable | AuthenticationUnavailable | RequestFailed